summaryrefslogtreecommitdiffstats
path: root/dvm/3666
diff options
context:
space:
mode:
authorRaghavendra Bhat <raghavendrabhat@gluster.com>2011-12-26 11:16:14 +0530
committerRaghavendra Bhat <raghavendrabhat@gluster.com>2012-01-04 15:08:46 +0530
commite92154e05c0c177c6b595f2adbc745f4f4fe43b3 (patch)
tree62ad047c5e67cae5dfc9ed14016d1a70d57b1197 /dvm/3666
parent6b24e7071e764a2032288578bcebeb90cdea5412 (diff)
3666: check if the self-heal daemon is also stopped, when a replicate volume is stopped
Change-Id: Ia25dc4968ba116b1559f445ba2b69992f0a20e46 BUG: 3666 Signed-off-by: Raghavendra Bhat <raghavendrabhat@gluster.com>
Diffstat (limited to 'dvm/3666')
-rwxr-xr-xdvm/3666/testcase31
1 files changed, 31 insertions, 0 deletions
diff --git a/dvm/3666/testcase b/dvm/3666/testcase
new file mode 100755
index 0000000..330c3a7
--- /dev/null
+++ b/dvm/3666/testcase
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+function _init ()
+{
+ source $cwd/regression_helpers;
+}
+
+function glustershd_running ()
+{
+ $GLUSTERFSDIR/gluster volume create $global_bug_id replica 2 $(hostname):$EXPORT_DIR/$global_bug_id/export1 $(hostname):$EXPORT_DIR/$global_bug_id/export2 --mode=script 2>/dev/null 1>/dev/null
+
+ $GLUSTERFSDIR/gluster volume start $global_bug_id 2>/dev/null 1>/dev/null;
+
+ ls /etc/glusterd/glustershd/run/glustershd.pid 2>/dev/null 1>/dev/null;
+
+ if [ $? -ne 0 ]; then
+ return 2;
+ fi
+
+ $GLUSTERFSDIR/gluster volume stop $global_bug_id --mode=script 2>/dev/null 1>/dev/null;
+
+ ls /etc/glusterd/glustershd/run/glustershd.pid 2>/dev/null 1>/dev/null;
+
+ if [ $? -ne 0 ]; then
+ return 0;
+ else
+ return 1;
+ fi
+}
+
+_init ; glustershd_running